export declare function getContextManager(browser: WebdriverIO.Browser): ContextManager;
/**
 * This class is responsible for managing context in a WebDriver session. Many BiDi commands
 * require to be executed in a specific context. This class is responsible for keeping track
 * of the current context and providing the current context the user is in.
 */
export declare class ContextManager {
    #private;
    constructor(browser: WebdriverIO.Browser);
    /**
     * set context at the start of the session
     */
    initialize(): Promise<string>;
    setCurrentContext(context: string): void;
    getCurrentContext(): Promise<string>;
    get isNativeContext(): boolean;
    get mobileContext(): string | undefined;
}
//# sourceMappingURL=context.d.ts.map